Support » Plugin: Hyyan WooCommerce Polylang Integration » Do not work with variable products

  • The reason we decided to quit woocommerce in a few months is this plugin. I hate it. It doesn’t work with variable products. You can create them but you cannot edit products in the other language later. The problem is that it creates multiple product variations in each language after every update. So if you update product with 3 variations english language, and you have 2 other languages (german and danish), you will have extra 6 variations in german and danish and will show only the older versions in shop. So my older products have 3 variations in English and 36 variations in the other languages 🙂 To fix it you must manually delete product variations in the other languages. Also this makes impossible to edit product in not default language as is cannot multiple such product, and it will be shown as “out of stock”. For me it is more easy to delete old product and create new one if major change in the other languages needs to be made.
    My conclusion: if you want to create your webshop and look to the future, just pay extra for other multilingual plugins. If you may have not problems now, it doesn’t mean that it will work after the other wordpress upgrade. Otherwise you will be in my situation: to fix it costs more time than to create new shop in the other platform.

Viewing 1 replies (of 1 total)
  • Plugin Contributor jonathanmoorebcsorg

    (@jonathanmoorebcsorg)

    I don’t know what versions you were trying but variations and stock are working in the latest version at:
    https://github.com/hyyan/woo-poly-integration/releases
    And there are very few open issues.

    In general you have a point: sadly WooCommerce is not designed to support true multilingual or multicurrency operation and whichever plugins you choose are vulnerable to issues with upgrades which need to be handled with great care.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this review.